=== removed file 'Widget Library/SliderDemo.html'
--- Widget Library/SliderDemo.html	2013-03-28 15:34:25 +0000
+++ Widget Library/SliderDemo.html	1970-01-01 00:00:00 +0000
@@ -1,64 +0,0 @@
-<!DOCTYPE html>
-<html>
-	<head>
-		<title></title>
-		<script>
-			// Recursive Pos of div in document - should work in most browsers
-			function findPos(obj) {
-				var curleft = curtop = 0;
-				if (obj.offsetParent) {
-					curleft = obj.offsetLeft;
-					curtop = obj.offsetTop;
-					while (obj = obj.offsetParent) {
-						curleft += obj.offsetLeft;
-						curtop += obj.offsetTop;
-					}
-				}
-				return {
-					x:curleft,
-					y:curtop
-				}
-			}
-			
-			// The idea is to have a few functions like this one and minimum javascript intervention		
-			function updateslider(e, kind, smin, smax, slen, sliderid, boxid) {
-				if(mb) {
-					coords = findPos(e.currentTarget);
-					coords.x = e.clientX - coords.x;
-					coords.y = e.clientY - coords.y;
-					cx = coords.x / slen;
-					sd = smax - smin;
-					val = smin + (sd * cx);
-					if(kind == 1) {
-						val = Math.round(val);
-					}
-					document.getElementById(boxid).value = val;				
-					document.getElementById(sliderid).style.left = Math.ceil((slen) * ((val - smin) / sd));
-				}
-			}
-
-			var mb = 0;
-			
-			function mbpress(e) {
-				mb = 1;
-			}
-
-			function mbrelease(e) {
-				mb = 0;
-			}
-		</script>
-	</head>
-	<body onmousedown="mbpress(event);" onmouseup="mbrelease(event);">
-		<div style="background-color:#d0d0d4; border-radius:10px; width:220; height:300; padding:6px;">
-			<br>
-			<input id="slider1box" type="text" style="float:left;width:40px;height:32px;font-family:Trebuchet;font-size:18px;">
-			<div id="slider1" style="margin-left:42px; width:160; height:32; border-style:none; border-width:1px; background-position:center; background-image:url('sliderline.png'); background-repeat:repeat-x;" onmousemove="updateslider(event, 1, 2, 7, 160, 'slider1marker', 'slider1box');" onmouseup="updateslider(event, 1, 2, 7, 160, 'slider1marker', 'slider1box');">
-				<div id="slider1marker" style="position:relative; left:60; width:14; height:32; background-image:url('sliderring14.png'); background-repeat:no-repeat; background-position:center;">
-				</div>
-			</div>
-		</div>
-		<div id="demo">
-			Poo
-		</div>
-	</body>
-</html>
\ No newline at end of file

=== added file 'Widget Library/sliderdemo.css'
--- Widget Library/sliderdemo.css	1970-01-01 00:00:00 +0000
+++ Widget Library/sliderdemo.css	2013-04-02 13:51:45 +0000
@@ -0,0 +1,36 @@
+#container {
+	background-color: #d0d0d4; 
+	border-radius: 10px;
+	width: 220px; 
+	height: 300px; 
+	padding: 6px;
+}
+
+#sliderbox {
+	float:left;
+	width:40px;
+	height:32px;
+	font-family:Trebuchet,sans-serif;
+	font-size:18px;
+}
+
+#slider1 {
+	margin-left:42px; 
+	width:160px; 
+	height:32px; 
+	border-style:none; 
+	border-width:1px; 
+	background-position:center; 
+	background-image:url('sliderline.png'); 
+	background-repeat:repeat-x;
+}
+
+#slider1marker {
+	position:relative; 
+	left:60px; 
+	width:14px; 
+	height:32px; 
+	background-image:url('sliderring14.png'); 
+	background-repeat:no-repeat; 
+	background-position:center;
+}
\ No newline at end of file

=== added file 'Widget Library/sliderdemo.html'
--- Widget Library/sliderdemo.html	1970-01-01 00:00:00 +0000
+++ Widget Library/sliderdemo.html	2013-04-02 13:51:45 +0000
@@ -0,0 +1,20 @@
+<!DOCTYPE html>
+<html>
+	<head>
+		<title>Slider Demo</title>
+		<link rel="stylesheet" type="text/css" href="sliderdemo.css">
+		<script type="text/javascript" src="sliderdemo.js"></script>
+	</head>
+	<body onmousedown="mbpress(event);" onmouseup="mbrelease(event);">
+		<div id="container">
+			<br>
+			<input id="slider1box" type="text">
+			<div id="slider1" onmousemove="updateslider(event, 1, 2, 7, 160, 'slider1marker', 'slider1box');" onmouseup="updateslider(event, 1, 2, 7, 160, 'slider1marker', 'slider1box');">
+				<div id="slider1marker"></div>
+			</div>
+		</div>
+		<div id="demo">
+			Poo
+		</div>
+	</body>
+</html>
\ No newline at end of file

=== added file 'Widget Library/sliderdemo.js'
--- Widget Library/sliderdemo.js	1970-01-01 00:00:00 +0000
+++ Widget Library/sliderdemo.js	2013-04-02 13:51:45 +0000
@@ -0,0 +1,43 @@
+// Recursive Pos of div in document - should work in most browsers
+function findPos(obj) {
+	var curleft = curtop = 0;
+	if (obj.offsetParent) {
+		curleft = obj.offsetLeft;
+		curtop = obj.offsetTop;
+		while (obj = obj.offsetParent) {
+			curleft += obj.offsetLeft;
+			curtop += obj.offsetTop;
+		}
+	}
+	return {
+		x:curleft,
+		y:curtop
+	}
+}
+
+// The idea is to have a few functions like this one and minimum javascript intervention		
+function updateslider(e, kind, smin, smax, slen, sliderid, boxid) {
+	if(mb) {
+		coords = findPos(e.currentTarget);
+		coords.x = e.clientX - coords.x;
+		coords.y = e.clientY - coords.y;
+		cx = coords.x / slen;
+		sd = smax - smin;
+		val = smin + (sd * cx);
+		if(kind == 1) {
+			val = Math.round(val);
+		}
+		document.getElementById(boxid).value = val;				
+		document.getElementById(sliderid).style.left = Math.ceil((slen) * ((val - smin) / sd))+"px";
+	}
+}
+
+var mb = 0;
+
+function mbpress(e) {
+	mb = 1;
+}
+
+function mbrelease(e) {
+	mb = 0;
+}
\ No newline at end of file

